



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>iOS系统声音列表</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">iOS系统声音列表</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-01-29 09:00:38 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>iOS系统声音列表</p>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog2015/607542/201508/242111518895587.gif" /></p>
<p>效果</p>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog2015/607542/201508/242112082184143.gif" /></p>
<p>说明</p>
<p>1. 点击cell就能发出声音</p>
<p>2. 只需要给出声音编号,就可以,非常简单易用</p>
<p>源码</p>
<p><a href="https://github.com/YouXianMing/iOS-Utilities" rel="external nofollow noreferrer">https://github.com/YouXianMing/iOS-Utilities</a></p>
<div>
<pre class="prettyprint linenums">//<br />
//  SystemSound.h<br />
//  SystemSound<br />
//<br />
//  Created by YouXianMing on 15/8/24.<br />
//  Copyright (c) 2015年 YouXianMing. All rights reserved.<br />
//

#import &lt;Foundation/Foundation.h&gt;<br />
#import "SoundInfomation.h"

@interface SystemSound : NSObject

/**<br />
 *  获取系统消息列表<br />
 */<br />
+ (void)accessSystemSoundsList;

/**<br />
 *  系统声音的列表<br />
 *<br />
 *  @return SoundInfomation对象数组<br />
 */<br />
+ (NSArray *)systemSounds;

/**<br />
 *  播放声音<br />
 *<br />
 *  @param sound 声音<br />
 */<br />
+ (void)playWithSound:(SoundInfomation *)sound;

/**<br />
 *  根据声音ID号播放声音<br />
 *<br />
 *  @param soundID 声音ID号码<br />
 */<br />
+ (void)playWithSoundID:(UInt32)soundID;

@end</pre>
</div>
<div>
<pre class="prettyprint linenums">//<br />
//  SystemSound.m<br />
//  SystemSound<br />
//<br />
//  Created by YouXianMing on 15/8/24.<br />
//  Copyright (c) 2015年 YouXianMing. All rights reserved.<br />
//

#import "SystemSound.h"<br />
#import &lt;AudioToolbox/AudioToolbox.h&gt;

static NSMutableArray *_systemSounds = nil;

@implementation SystemSound

+ (void)accessSystemSoundsList {

    static dispatch_once_t predicate;

    dispatch_once(&amp;predicate, ^{

        dispatch_async(dispatch_get_global_queue(DISPATCH_QUEUE_PRIORITY_DEFAULT, ), ^{

            NSMutableArray *audioFileList = [NSMutableArray array];<br />
            _systemSounds                 = [NSMutableArray array];

            // 读取文件系统<br />
            NSFileManager *fileManager  = [[NSFileManager alloc] init];<br />
            NSURL         *directoryURL = [NSURL URLWithString:@"/System/Library/Audio/UISounds"];<br />
            NSArray       *keys         = [NSArray arrayWithObject:NSURLIsDirectoryKey];

            NSDirectoryEnumerator *enumerator = [fileManager enumeratorAtURL:directoryURL<br />
                                                  includingPropertiesForKeys:keys<br />
                                                                     options:<br />
                                                                errorHandler:^(NSURL *url, NSError *error) {<br />
                                                                    return YES;<br />
                                                                }];

            for (NSURL *url in enumerator) {

                NSError  *error;<br />
                NSNumber *isDirectory = nil;<br />
                if (! [url getResourceValue:&amp;isDirectory forKey:NSURLIsDirectoryKey error:&amp;error]) {

                } else if (![isDirectory boolValue]) {

                    [audioFileList addObject:url];

                    SystemSoundID soundID;<br />
                    AudioServicesCreateSystemSoundID((__bridge_retained CFURLRef)url, &amp;soundID);

                    SoundInfomation *sound = [[SoundInfomation alloc] init];<br />
                    sound.soundID   = soundID;<br />
                    sound.soundUrl  = url;<br />
                    sound.soundName = url.lastPathComponent;

                    [_systemSounds addObject:sound];<br />
                }<br />
            }

            // 读取文件<br />
            NSString *path = [[NSBundle mainBundle] pathForResource:@"SystemSoundList" ofType:nil];<br />
            NSData   *data = [[NSData alloc] initWithContentsOfFile:path];

            NSString *string = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];<br />
            NSArray  *array  = [string componentsSeparatedByString:@"\n"];

            for (int i = ; i &lt; array.count; i++) {

                NSString *tmp = array[i];

                NSArray         *soundInfo = [tmp componentsSeparatedByString:@"\t"];<br />
                SoundInfomation *sound     = [[SoundInfomation alloc] init];

                sound.soundID   = (unsigned int)[soundInfo[] integerValue];<br />
                sound.soundName = soundInfo[];<br />
                [_systemSounds addObject:sound];<br />
            }<br />
        });<br />
    });<br />
}

+ (NSArray *)systemSounds {

    return _systemSounds;<br />
}

+ (void)playWithSound:(SoundInfomation *)sound {

    AudioServicesPlaySystemSound(sound.soundID);<br />
}

+ (void)playWithSoundID:(UInt32)soundID {

    AudioServicesPlaySystemSound(soundID);<br />
}

@end</pre>
</div>
<div>
<pre class="prettyprint linenums">//<br />
//  SoundInfomation.h<br />
//  SystemSound<br />
//<br />
//  Created by YouXianMing on 15/8/24.<br />
//  Copyright (c) 2015年 YouXianMing. All rights reserved.<br />
//

#import &lt;Foundation/Foundation.h&gt;

@interface SoundInfomation : NSObject

/**<br />
 *  系统声音编号(必须有)<br />
 */<br />
@property (nonatomic)         UInt32    soundID;

/**<br />
 *  系统声音地址<br />
 */<br />
@property (nonatomic, strong) NSURL    *soundUrl;

/**<br />
 *  声音的名字<br />
 */<br />
@property (nonatomic, strong) NSString *soundName;

@end</pre>
</div>
<div>
<pre class="prettyprint linenums">//<br />
//  SoundInfomation.m<br />
//  SystemSound<br />
//<br />
//  Created by YouXianMing on 15/8/24.<br />
//  Copyright (c) 2015年 YouXianMing. All rights reserved.<br />
//

#import "SoundInfomation.h"

@implementation SoundInfomation

@end</pre>
</div>
<div>
<pre class="prettyprint linenums">    new-mail.caf    MailReceived<br />
    mail-sent.caf    MailSent<br />
    Voicemail.caf    VoicemailReceived<br />
    ReceivedMessage.caf    SMSReceived<br />
    SentMessage.caf    SMSSent<br />
    alarm.caf    CalendarAlert<br />
    low_power.caf    LowPower<br />
    sms-received1.caf    SMSReceived_Alert<br />
    sms-received2.caf    SMSReceived_Alert<br />
    sms-received3.caf    SMSReceived_Alert<br />
    sms-received4.caf    SMSReceived_Alert<br />
    -    SMSReceived_Vibrate<br />
    sms-received1.caf    SMSReceived_Alert<br />
    sms-received5.caf    SMSReceived_Alert<br />
    sms-received6.caf    SMSReceived_Alert<br />
    Voicemail.caf    -<br />
    tweet_sent.caf    SMSSent<br />
    Anticipate.caf    SMSReceived_Alert<br />
    Bloom.caf    SMSReceived_Alert<br />
    Calypso.caf    SMSReceived_Alert<br />
    Choo_Choo.caf    SMSReceived_Alert<br />
    Descent.caf    SMSReceived_Alert<br />
    Fanfare.caf    SMSReceived_Alert<br />
    Ladder.caf    SMSReceived_Alert<br />
    Minuet.caf    SMSReceived_Alert<br />
    News_Flash.caf    SMSReceived_Alert<br />
    Noir.caf    SMSReceived_Alert<br />
    Sherwood_Forest.caf    SMSReceived_Alert<br />
    Spell.caf    SMSReceived_Alert<br />
    Suspense.caf    SMSReceived_Alert<br />
    Telegraph.caf    SMSReceived_Alert<br />
    Tiptoes.caf    SMSReceived_Alert<br />
    Typewriters.caf    SMSReceived_Alert<br />
    Update.caf    SMSReceived_Alert<br />
    ussd.caf    USSDAlert<br />
    SIMToolkitCallDropped.caf    SIMToolkitTone<br />
    SIMToolkitGeneralBeep.caf    SIMToolkitTone<br />
    SIMToolkitNegativeACK.caf    SIMToolkitTone<br />
    SIMToolkitPositiveACK.caf    SIMToolkitTone<br />
    SIMToolkitSMS.caf    SIMToolkitTone<br />
    Tink.caf    PINKeyPressed<br />
    ct-busy.caf    AudioToneBusy<br />
    ct-congestion.caf    AudioToneCongestion<br />
    ct-path-ack.caf    AudioTonePathAcknowledge<br />
    ct-error.caf    AudioToneError<br />
    ct-call-waiting.caf    AudioToneCallWaiting<br />
    ct-keytone2.caf    AudioToneKey2<br />
    lock.caf    ScreenLocked<br />
    unlock.caf    ScreenUnlocked<br />
    -    FailedUnlock<br />
    Tink.caf    KeyPressed<br />
    Tock.caf    KeyPressed<br />
    Tock.caf    KeyPressed<br />
    beep-beep.caf    ConnectedToPower<br />
    RingerChanged.caf    RingerSwitchIndication<br />
    photoShutter.caf    CameraShutter<br />
    shake.caf    ShakeToShuffle<br />
    jbl_begin.caf    JBL_Begin<br />
    jbl_confirm.caf    JBL_Confirm<br />
    jbl_cancel.caf    JBL_Cancel<br />
    begin_record.caf    BeginRecording<br />
    end_record.caf    EndRecording<br />
    jbl_ambiguous.caf    JBL_Ambiguous<br />
    jbl_no_match.caf    JBL_NoMatch<br />
    begin_video_record.caf    BeginVideoRecording<br />
    end_video_record.caf    EndVideoRecording<br />
    vc~invitation-accepted.caf    VCInvitationAccepted<br />
    vc~ringing.caf    VCRinging<br />
    vc~ended.caf    VCEnded<br />
    ct-call-waiting.caf    VCCallWaiting<br />
    vc~ringing.caf    VCCallUpgrade<br />
    dtmf-.caf    TouchTone<br />
    dtmf-.caf    TouchTone<br />
    dtmf-.caf    TouchTone<br />
    dtmf-.caf    TouchTone<br />
    dtmf-.caf    TouchTone<br />
    dtmf-.caf    TouchTone<br />
    dtmf-.caf    TouchTone<br />
    dtmf-.caf    TouchTone<br />
    dtmf-.caf    TouchTone<br />
    dtmf-.caf    TouchTone<br />
    dtmf-star.caf    TouchTone<br />
    dtmf-pound.caf    TouchTone<br />
    long_low_short_high.caf    Headset_StartCall<br />
    short_double_high.caf    Headset_Redial<br />
    short_low_high.caf    Headset_AnswerCall<br />
    short_double_low.caf    Headset_EndCall<br />
    short_double_low.caf    Headset_CallWaitingActions<br />
    middle_9_short_double_low.caf    Headset_TransitionEnd<br />
    Voicemail.caf    SystemSoundPreview<br />
    ReceivedMessage.caf    SystemSoundPreview<br />
    new-mail.caf    SystemSoundPreview<br />
    mail-sent.caf    SystemSoundPreview<br />
    alarm.caf    SystemSoundPreview<br />
    lock.caf    SystemSoundPreview<br />
    Tock.caf    KeyPressClickPreview<br />
    sms-received1.caf    SMSReceived_Selection<br />
    sms-received2.caf    SMSReceived_Selection<br />
    sms-received3.caf    SMSReceived_Selection<br />
    sms-received4.caf    SMSReceived_Selection<br />
    -    SMSReceived_Vibrate<br />
    sms-received1.caf    SMSReceived_Selection<br />
    sms-received5.caf    SMSReceived_Selection<br />
    sms-received6.caf    SMSReceived_Selection<br />
    Voicemail.caf    SystemSoundPreview<br />
    Anticipate.caf    SMSReceived_Selection<br />
    Bloom.caf    SMSReceived_Selection<br />
    Calypso.caf    SMSReceived_Selection<br />
    Choo_Choo.caf    SMSReceived_Selection<br />
    Descent.caf    SMSReceived_Selection<br />
    Fanfare.caf    SMSReceived_Selection<br />
    Ladder.caf    SMSReceived_Selection<br />
    Minuet.caf    SMSReceived_Selection<br />
    News_Flash.caf    SMSReceived_Selection<br />
    Noir.caf    SMSReceived_Selection<br />
    Sherwood_Forest.caf    SMSReceived_Selection<br />
    Spell.caf    SMSReceived_Selection<br />
    Suspense.caf    SMSReceived_Selection<br />
    Telegraph.caf    SMSReceived_Selection<br />
    Tiptoes.caf    SMSReceived_Selection<br />
    Typewriters.caf    SMSReceived_Selection<br />
    Update.caf    SMSReceived_Selection<br />
    -    RingerVibeChanged<br />
    -    SilentVibeChanged<br />
    -    Vibrate</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/rqlm7mx9.html">ActiveMQ安全配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8k1le59.html">OpenCV图像的全局阈值二值化函数（OTSU）</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8ko0g3q.html">GJM ：C&num;开发   异步处理是目的，多线程是手段</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8k77m59.html">配置 Sublime Text 用 Node&period;js 执行 JavaScript 程序</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k11zv79.html">uva----11729 Commando war &lpar;突击战争&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxn3nke8.html">phalcon在phpstorm里的配置视频</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4y0573q.html">poj3252 组合数学</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgz57r8.html">linq to sql用partial扩展属性&comma;创建一个部分类（用于多表连接）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ey404j9.html">Hadoop学习之配置Eclipse远程调试Hadoop</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdpj40jq.html">身份证js检测</a>
		</li>
						<li><a href="https://www.batexi.com/a/93yj4gw8.html">linux的mount（挂载）NFS 共享，命令详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1r2dzq.html">【正常向】CODEVS上分黄金</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjg1rj8.html">Java面向对象的理解</a>
		</li>
						<li><a href="https://www.batexi.com/a/9geke2z8.html">网络端口地址转换的NAPT配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ey26ge9.html">String&period;Format 格式化货币的小问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/90mwodn8.html">PostgreSql之在group by查询下拼接列字符串</a>
		</li>
						<li><a href="https://www.batexi.com/a/960ovl39.html">c&num; 简单方便的连接oracle方式</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e45wox9.html">Windows Azure中国版试用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4j2z75q.html">arm裸机通过uboot运行hello world程序测试结果</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1roeez8.html">【转】 Windows下配置Git</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/902yzonq.html">python mysql uitl</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwlw60y9.html">springcloud-06-feign的使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdjkm77q.html">二叉树的LCA（最近公共祖先）算法</a>
			</li>
						<li><a href="https://www.batexi.com/a/9ppg1zz9.html">mysql备份与恢复数据</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7e2xye9.html">UnityShader之屏幕特效基础</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4p7yleq.html">Uploadify火狐出现302错误</a>
			</li>
						<li><a href="https://www.batexi.com/a/8em3ykm9.html">图片切换（timer控件与ImagesList结合使用）</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2kg5llq.html">设置navigationbar透明度时的坑</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rn643dq.html">DICOM简介</a>
			</li>
						<li><a href="https://www.batexi.com/a/ql1wnvk9.html">html5备忘录&mdash;&mdash;张鑫旭</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
